use aoc22::{
    day16,
    util::{self, BnBState},
};

const TOTAL_TIME: usize = 30;

pub fn main() {
    let valves = day16::parse_valves(&util::parse_input());
    let paths = day16::calc_paths(&valves);
    let state = day16::State::new(&valves, TOTAL_TIME, 1);

    let state = util::maximize(&state, &(&valves, &paths));

    println!(
        "Most pressure released is {}",
        state.lower_bound(&(&valves, &paths))
    );
}
