use aoc22::{
    day23::{self, empty_ground},
    util,
};

const N_ROUNDS: usize = 10;

pub fn main() {
    let mut elves = day23::parse_map(&util::parse_input());

    for i in 0..N_ROUNDS {
        let elves_too_close = day23::do_round(&mut elves, i);
        if !elves_too_close {
            break;
        }
    }

    println!("Elves cover {} empty tiles", empty_ground(&elves));
}
