use aoc22::day3;
use aoc22::util;

pub fn main() {
    let rucksacks = day3::parse_rucksacks(&util::parse_input());

    let mut sum = 0;
    for (first, second) in rucksacks {
        let common: Vec<_> = first.intersection(&second).collect();
        assert!(common.len() == 1);
        sum += day3::priority(**common.first().unwrap());
    }

    println!("Sum of priorities is {}", sum);
}
