use aoc22::{day20, util};

const KEY: isize = 811589153;
const ROUNDS: usize = 10;

pub fn main() {
    let nodes = day20::parse_file(&util::parse_input(), KEY);
    // day20::print_nodes(&nodes);

    for _ in 0..ROUNDS {
        day20::mix(&nodes);
        // day20::print_nodes(&nodes);
    }

    println!("Sum of coordinates: {}", day20::calc_coordinates(&nodes));
}
