use aoc22::{
    day24::{self},
    util,
};

pub fn main() {
    let (map, start, target) = day24::parse_map(&util::parse_input());

    day24::print_map(&map, &start);

    let (rounds, _) = day24::find_path(&map, &start, &target);
    println!("Goal is reachable in {} min", rounds);
}
